Subject: Re: [patch] powerpc: move PAGE_SIZE outside #ifdef __KERNEL__

From: David Howells <[email-masked]>
Date: Thu, 20 Apr 2006 18:31:21 +0100

Geoff Levand <[email-masked]> wrote:

> The procps package needs PAGE_SIZE, defined in asm-powerpc/page.h,
> but it is defined inside "#ifdef __KERNEL__".
> 
> This moves the PAGE_SIZE definition outside of "#ifdef __KERNEL__".

Why do you want to do that?  Userspace shouldn't be using PAGE_SIZE directly.

David